Announcement

Collapse
No announcement yet.

Can't install / Linux

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Can't install / Linux

    Hi there

    I can't install on Linux - error from log:

    Warning, Cannot load EXE file (possibly missing dependencies) HSPI_JowiHue.exe: The classes in the module cannot be loaded.Warning, Error details with EXE HSPI_JowiHue.exe: Could not load file or assembly or one of its dependencies

    Not particularly helpful as it's not reporting which library is missing.

    Info below.

    James

    ---

    Current Date/Time: 2/8/2018 8:58:10 AM
    HomeSeer Version: HS3 Pro Edition 3.0.0.368
    Linux version: Linux homeseer 4.13.0-21-generic #24-Ubuntu SMP Mon Dec 18 17:29:16 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux System Uptime: 0 Days 16 Hours 46 Minutes 56 Seconds
    IP Address: 192.168.1.201
    Number of Devices: 48
    Number of Events: 4
    Available Threads: 191

    Enabled Plug-Ins
    3.0.0.25: ImperiHome
    3.0.0.0: mcsMQTT
    3.0.0.30: Nest
    3.0.1.190: Z-Wave

  • #2
    James,

    Indeed that is not very helpfull. This error normally comes with a assembly name. The assembly that is causing most issues is the Newtonsoft.Json.dll. Quite regular this file is also installed in the HS3installation directory. It should not be there. If you see it in this directory, try stopping HS3 en removing the file. Restart after that en see if the plugin starts then. There might be another script or plugin throwing errors after that. This script or plugin should be adjusted so it gets the dll from its own /bin/xxxx directory.

    Wim
    -- Wim

    Plugins:RFXCOM, HSTouch Server, Squeezebox, BLGData, Restart, Jon00's Perfmon and Network monitor, WeatherXML, BLBackup, TenScripting, BC4, Pushover, PHLocation, JowiHue, Zwave, Sonos
    650 devices ---- 336 events ----- 40 scripts

    Comment


    • #3
      That's not it - there's new Newtonsoft in the root directory

      Comment


      • #4
        James,

        I am sorry, but then that is it. There should be NO newtonsoft in the root directory.

        Wim
        -- Wim

        Plugins:RFXCOM, HSTouch Server, Squeezebox, BLGData, Restart, Jon00's Perfmon and Network monitor, WeatherXML, BLBackup, TenScripting, BC4, Pushover, PHLocation, JowiHue, Zwave, Sonos
        650 devices ---- 336 events ----- 40 scripts

        Comment


        • #5
          Sorry Win - typo - newtonsoft is NOT in root.

          Comment


          • #6
            I've not seen this before without some additional information included in the error message. What version of mono are you running?

            Bill

            Comment


            • #7
              mono --version
              Mono JIT compiler version 4.6.2 (Debian 4.6.2.7+dfsg-1ubuntu1)
              Copyright (C) 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com
              TLS: __thread
              SIGSEGV: altstack
              Notifications: epoll
              Architecture: amd64
              Disabled: none
              Misc: softdebug
              LLVM: supported, not enabled.
              GC: sgen



              dpkg-query --show | grep mono
              ca-certificates-mono 4.6.2.7+dfsg-1ubuntu1
              libmono-accessibility4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-cecil-vb0.9-cil 4.0.1-1
              libmono-corlib4.5-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-data-tds4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-i18n-west4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-i18n4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-ldap4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-messaging4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-microsoft-visualbasic10.0-cil 4.0.1-1
              libmono-posix4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-security4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-sqlite4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-componentmodel-dataannotations4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-configuration-install4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-configuration4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-core4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-data-linq4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-data4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-design4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-drawing-design4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-drawing4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-enterpriseservices4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-identitymodel-selectors4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-identitymodel4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-ldap4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-messaging4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-numerics4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-runtime-caching4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-runtime-serialization-formatters-soap4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-runtime-serialization4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-security4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-servicemodel-activation4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-servicemodel-internals0.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-servicemodel4.0a-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-transactions4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-web-applicationservices4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-web-extensions4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-web-services4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-web4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-windows-forms4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-xml-linq4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system-xml4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-system4.0-cil 4.6.2.7+dfsg-1ubuntu1
              libmono-webbrowser4.0-cil 4.6.2.7+dfsg-1ubuntu1
              mono-4.0-gac 4.6.2.7+dfsg-1ubuntu1
              mono-gac 4.6.2.7+dfsg-1ubuntu1
              mono-runtime 4.6.2.7+dfsg-1ubuntu1
              mono-runtime-common 4.6.2.7+dfsg-1ubuntu1
              mono-runtime-sgen 4.6.2.7+dfsg-1ubuntu1
              mono-vbnc 4.0.1-1
              ubuntu-mono 16.10+17.10.20171115-0ubuntu1

              Comment


              • #8
                James,

                Maybe you need to do as others did and install all modules? Check this thread: https://forums.homeseer.com/showthre...hlight=install
                It seems this plugin need some more then HS3 describes?

                Wim
                -- Wim

                Plugins:RFXCOM, HSTouch Server, Squeezebox, BLGData, Restart, Jon00's Perfmon and Network monitor, WeatherXML, BLBackup, TenScripting, BC4, Pushover, PHLocation, JowiHue, Zwave, Sonos
                650 devices ---- 336 events ----- 40 scripts

                Comment


                • #9
                  Wim - that link doesn't work

                  Comment


                  • #10
                    I brute forced it with "apt-get install mono-complete" - this did the trick. Thanks for the pointer.

                    Comment


                    • #11
                      That was it

                      Glad you got it working now!

                      Wim
                      -- Wim

                      Plugins:RFXCOM, HSTouch Server, Squeezebox, BLGData, Restart, Jon00's Perfmon and Network monitor, WeatherXML, BLBackup, TenScripting, BC4, Pushover, PHLocation, JowiHue, Zwave, Sonos
                      650 devices ---- 336 events ----- 40 scripts

                      Comment

                      Working...
                      X